/**
 * @file        用户认证业务逻辑
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description 登录业务逻辑，供controller调用
 */

/**
 * 登录业务逻辑
 * @param body 登录请求体
 * @param jwt JWT插件实例
 * @param set Elysia set对象
 * @returns 登录响应对象
 */
export const loginService = async (body: { username: string; password: string }, jwt: any, set: any) => {
    const { username, password } = body;
    if (username !== 'admin' || password !== '123456') {
        set.status = 400;
        return {
            code: 400,
            message: '用户名或密码错误',
            data: null,
        };
    }
    const token = await jwt.sign({ username });
    return {
        code: 0,
        message: '登录成功',
        data: { token },
    };
};
