/**
 * @file        受保护接口业务逻辑
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description 受保护接口业务逻辑，供controller调用
 */

/**
 * 受保护接口业务逻辑
 * @param store Elysia store对象
 * @returns 受保护接口响应对象
 */
export const protectedService = (user: any) => {
    /**
     * @type {any} user - JWT解码后的用户信息
     * @description 由jwtAuthPlugin中间件注入
     */
    return {
        code: 0,
        message: '受保护资源访问成功',
        data: { username: user?.username ?? '' },
    };
};
